> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Customer

You can update a customer created earlier with the `POST/customers` API request. The only required field for the request is the customer `id`. Other supported request fields are equal to the ones on the customer creation process.

You need to specify only the fields you want to update. Every field is available for update.


## OpenAPI

````yaml openapi/customers/update-customer.json PATCH /customers/{id}
openapi: 3.1.0
info:
  title: customer-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /customers/{id}:
    patch:
      summary: Update Customer
      operationId: update-customer
      parameters:
        - name: id
          in: path
          description: The unique identifier of the customer (UUID | MAX 36; MIN 36).
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant_customer_id:
                  type: string
                  description: >-
                    The unique identifier of the customer in the external
                    merchant (MAX 255; MIN 3).
                merchant_customer_created_at:
                  type: string
                  description: >-
                    Customer´s registration date on the merchants platform (ISO
                    8601 MAX 27; MIN 27)
                  format: date-time
                first_name:
                  type: string
                  description: The customer's first name (MAX 255; MIN 3).
                last_name:
                  type: string
                  description: The customer's last name (MAX 255; MIN 3).
                gender:
                  type: string
                  description: The customer's gender.
                date_of_birth:
                  type: string
                  description: >-
                    The customer's date of birth in the YYYY-MM-DD format (MAX
                    10; MIN 10).
                email:
                  type: string
                  description: The customer's e-mail (MAX 255; MIN 3).
                nationality:
                  type: string
                  description: >-
                    The customer's nationality (MAX 2; MIN 2; [ISO
                    3166-1](country-reference)).
                  enum:
                    - AF
                    - AX
                    - AL
                    - DZ
                    - AS
                    - AD
                    - AO
                    - AI
                    - AQ
                    - AG
                    - AR
                    - AM
                    - AW
                    - AU
                    - AT
                    - AZ
                    - BS
                    - BH
                    - BD
                    - BB
                    - BY
                    - BE
                    - BZ
                    - BJ
                    - BM
                    - BT
                    - BO
                    - BQ
                    - BA
                    - BW
                    - BV
                    - BR
                    - IO
                    - BN
                    - BG
                    - BF
                    - BI
                    - CV
                    - KH
                    - CM
                    - CA
                    - KY
                    - CF
                    - TD
                    - CL
                    - CN
                    - CX
                    - CC
                    - CO
                    - KM
                    - CG
                    - CD
                    - CK
                    - CR
                    - CI
                    - HR
                    - CU
                    - CW
                    - CY
                    - CZ
                    - DK
                    - DJ
                    - DM
                    - DO
                    - EC
                    - EG
                    - SZ
                    - GQ
                    - ER
                    - EE
                    - ET
                    - FK
                    - FO
                    - FJ
                    - FI
                    - FR
                    - GF
                    - PF
                    - TF
                    - GA
                    - GM
                    - GE
                    - DE
                    - GH
                    - GI
                    - GR
                    - GL
                    - GD
                    - GP
                    - GU
                    - GT
                    - GG
                    - GN
                    - GW
                    - GY
                    - HT
                    - HM
                    - VA
                    - HN
                    - HK
                    - HU
                    - IS
                    - IN
                    - ID
                    - IR
                    - IQ
                    - IE
                    - IM
                    - IL
                    - IT
                    - JM
                    - JP
                    - JE
                    - JO
                    - KZ
                    - KE
                    - KI
                    - KR
                    - KW
                    - KG
                    - LA
                    - LV
                    - LB
                    - LS
                    - LR
                    - LY
                    - LI
                    - LT
                    - LU
                    - MO
                    - MK
                    - MG
                    - MW
                    - MY
                    - MV
                    - ML
                    - MT
                    - MH
                    - MQ
                    - MR
                    - MU
                    - YT
                    - MX
                    - FM
                    - MD
                    - MC
                    - MN
                    - ME
                    - MS
                    - MA
                    - MZ
                    - MM
                    - NA
                    - NR
                    - NP
                    - NL
                    - NC
                    - NZ
                    - NI
                    - NE
                    - NG
                    - NU
                    - NF
                    - MP
                    - 'NO'
                    - OM
                    - PK
                    - PW
                    - PS
                    - PA
                    - PG
                    - PY
                    - PE
                    - PH
                    - PN
                    - PL
                    - PT
                    - PR
                    - QA
                    - RE
                    - RO
                    - RU
                    - RW
                    - BL
                    - SH
                    - KN
                    - LC
                    - MF
                    - PM
                    - VC
                    - WS
                    - SM
                    - ST
                    - SA
                    - SN
                    - RS
                    - SC
                    - SL
                    - SG
                    - SX
                    - SK
                    - SI
                    - SB
                    - SO
                    - ZA
                    - GS
                    - SS
                    - ES
                    - LK
                    - SD
                    - SR
                    - SJ
                    - SE
                    - CH
                    - SY
                    - TW
                    - TJ
                    - TZ
                    - TH
                    - TL
                    - TG
                    - TK
                    - TO
                    - TT
                    - TN
                    - TR
                    - TM
                    - TC
                    - TV
                    - UG
                    - UA
                    - AE
                    - GB
                    - US
                    - UM
                    - UY
                    - UZ
                    - VU
                    - VE
                    - VN
                    - VG
                    - VI
                    - WF
                    - EH
                    - YE
                    - ZM
                    - ZW
                country:
                  type: string
                  description: >-
                    The customer's country (MAX 2; MIN 2; [ISO
                    3166-1](country-reference)).
                  enum:
                    - AF
                    - AX
                    - AL
                    - DZ
                    - AS
                    - AD
                    - AO
                    - AI
                    - AQ
                    - AG
                    - AR
                    - AM
                    - AW
                    - AU
                    - AT
                    - AZ
                    - BS
                    - BH
                    - BD
                    - BB
                    - BY
                    - BE
                    - BZ
                    - BJ
                    - BM
                    - BT
                    - BO
                    - BQ
                    - BA
                    - BW
                    - BV
                    - BR
                    - IO
                    - BN
                    - BG
                    - BF
                    - BI
                    - CV
                    - KH
                    - CM
                    - CA
                    - KY
                    - CF
                    - TD
                    - CL
                    - CN
                    - CX
                    - CC
                    - CO
                    - KM
                    - CG
                    - CD
                    - CK
                    - CR
                    - CI
                    - HR
                    - CU
                    - CW
                    - CY
                    - CZ
                    - DK
                    - DJ
                    - DM
                    - DO
                    - EC
                    - EG
                    - SZ
                    - GQ
                    - ER
                    - EE
                    - ET
                    - FK
                    - FO
                    - FJ
                    - FI
                    - FR
                    - GF
                    - PF
                    - TF
                    - GA
                    - GM
                    - GE
                    - DE
                    - GH
                    - GI
                    - GR
                    - GL
                    - GD
                    - GP
                    - GU
                    - GT
                    - GG
                    - GN
                    - GW
                    - GY
                    - HT
                    - HM
                    - VA
                    - HN
                    - HK
                    - HU
                    - IS
                    - IN
                    - ID
                    - IR
                    - IQ
                    - IE
                    - IM
                    - IL
                    - IT
                    - JM
                    - JP
                    - JE
                    - JO
                    - KZ
                    - KE
                    - KI
                    - KR
                    - KW
                    - KG
                    - LA
                    - LV
                    - LB
                    - LS
                    - LR
                    - LY
                    - LI
                    - LT
                    - LU
                    - MO
                    - MK
                    - MG
                    - MW
                    - MY
                    - MV
                    - ML
                    - MT
                    - MH
                    - MQ
                    - MR
                    - MU
                    - YT
                    - MX
                    - FM
                    - MD
                    - MC
                    - MN
                    - ME
                    - MS
                    - MA
                    - MZ
                    - MM
                    - NA
                    - NR
                    - NP
                    - NL
                    - NC
                    - NZ
                    - NI
                    - NE
                    - NG
                    - NU
                    - NF
                    - MP
                    - 'NO'
                    - OM
                    - PK
                    - PW
                    - PS
                    - PA
                    - PG
                    - PY
                    - PE
                    - PH
                    - PN
                    - PL
                    - PT
                    - PR
                    - QA
                    - RE
                    - RO
                    - RU
                    - RW
                    - BL
                    - SH
                    - KN
                    - LC
                    - MF
                    - PM
                    - VC
                    - WS
                    - SM
                    - ST
                    - SA
                    - SN
                    - RS
                    - SC
                    - SL
                    - SG
                    - SX
                    - SK
                    - SI
                    - SB
                    - SO
                    - ZA
                    - GS
                    - SS
                    - ES
                    - LK
                    - SD
                    - SR
                    - SJ
                    - SE
                    - CH
                    - SY
                    - TW
                    - TJ
                    - TZ
                    - TH
                    - TL
                    - TG
                    - TK
                    - TO
                    - TT
                    - TN
                    - TR
                    - TM
                    - TC
                    - TV
                    - UG
                    - UA
                    - AE
                    - GB
                    - US
                    - UM
                    - UY
                    - UZ
                    - VU
                    - VE
                    - VN
                    - VG
                    - VI
                    - WF
                    - EH
                    - YE
                    - ZM
                    - ZW
                document:
                  type: object
                  description: >-
                    Specifies the customer's document object, including its
                    number and type.
                  properties:
                    document_number:
                      type: string
                      description: The customer's document number (MAX 40; MIN 3).
                    document_type:
                      type: string
                      description: >-
                        The customer's document type (MAX 6, MIN 3; [Country
                        reference](country-reference)).
                phone:
                  type: object
                  description: Specifies the customer's phone number object.
                  properties:
                    country_code:
                      type: string
                      description: >-
                        The country calling code of the customer's phone (MAX 3;
                        MIN 1). Possible values values: Check the [Country
                        reference.](country-reference)
                    number:
                      type: string
                      description: >-
                        The customer's phone number, without the country code
                        (MAX 32; MIN 1).
                billing_address:
                  type: object
                  description: Specifies the customer's billing address object.
                  properties:
                    address_line_1:
                      type: string
                      description: >-
                        The primary billing address line of the customer (MAX
                        255; MIN 3).
                    address_line_2:
                      type: string
                      description: >-
                        The secondary billing address line of the customer (MAX
                        255; MIN 3).
                    city:
                      type: string
                      description: >-
                        The city considered for the billing address (MAX 255;
                        MIN 3).
                    country:
                      type: string
                      description: >-
                        The country considered for the billing address (MAX 2;
                        MIN 2; [ISO 3166-1](country-reference)).
                      enum:
                        - AF
                        - AX
                        - AL
                        - DZ
                        - AS
                        - AD
                        - AO
                        - AI
                        - AQ
                        - AG
                        - AR
                        - AM
                        - AW
                        - AU
                        - AT
                        - AZ
                        - BS
                        - BH
                        - BD
                        - BB
                        - BY
                        - BE
                        - BZ
                        - BJ
                        - BM
                        - BT
                        - BO
                        - BQ
                        - BA
                        - BW
                        - BV
                        - BR
                        - IO
                        - BN
                        - BG
                        - BF
                        - BI
                        - CV
                        - KH
                        - CM
                        - CA
                        - KY
                        - CF
                        - TD
                        - CL
                        - CN
                        - CX
                        - CC
                        - CO
                        - KM
                        - CG
                        - CD
                        - CK
                        - CR
                        - CI
                        - HR
                        - CU
                        - CW
                        - CY
                        - CZ
                        - DK
                        - DJ
                        - DM
                        - DO
                        - EC
                        - EG
                        - SZ
                        - GQ
                        - ER
                        - EE
                        - ET
                        - FK
                        - FO
                        - FJ
                        - FI
                        - FR
                        - GF
                        - PF
                        - TF
                        - GA
                        - GM
                        - GE
                        - DE
                        - GH
                        - GI
                        - GR
                        - GL
                        - GD
                        - GP
                        - GU
                        - GT
                        - GG
                        - GN
                        - GW
                        - GY
                        - HT
                        - HM
                        - VA
                        - HN
                        - HK
                        - HU
                        - IS
                        - IN
                        - ID
                        - IR
                        - IQ
                        - IE
                        - IM
                        - IL
                        - IT
                        - JM
                        - JP
                        - JE
                        - JO
                        - KZ
                        - KE
                        - KI
                        - KR
                        - KW
                        - KG
                        - LA
                        - LV
                        - LB
                        - LS
                        - LR
                        - LY
                        - LI
                        - LT
                        - LU
                        - MO
                        - MK
                        - MG
                        - MW
                        - MY
                        - MV
                        - ML
                        - MT
                        - MH
                        - MQ
                        - MR
                        - MU
                        - YT
                        - MX
                        - FM
                        - MD
                        - MC
                        - MN
                        - ME
                        - MS
                        - MA
                        - MZ
                        - MM
                        - NA
                        - NR
                        - NP
                        - NL
                        - NC
                        - NZ
                        - NI
                        - NE
                        - NG
                        - NU
                        - NF
                        - MP
                        - 'NO'
                        - OM
                        - PK
                        - PW
                        - PS
                        - PA
                        - PG
                        - PY
                        - PE
                        - PH
                        - PN
                        - PL
                        - PT
                        - PR
                        - QA
                        - RE
                        - RO
                        - RU
                        - RW
                        - BL
                        - SH
                        - KN
                        - LC
                        - MF
                        - PM
                        - VC
                        - WS
                        - SM
                        - ST
                        - SA
                        - SN
                        - RS
                        - SC
                        - SL
                        - SG
                        - SX
                        - SK
                        - SI
                        - SB
                        - SO
                        - ZA
                        - GS
                        - SS
                        - ES
                        - LK
                        - SD
                        - SR
                        - SJ
                        - SE
                        - CH
                        - SY
                        - TW
                        - TJ
                        - TZ
                        - TH
                        - TL
                        - TG
                        - TK
                        - TO
                        - TT
                        - TN
                        - TR
                        - TM
                        - TC
                        - TV
                        - UG
                        - UA
                        - AE
                        - GB
                        - US
                        - UM
                        - UY
                        - UZ
                        - VU
                        - VE
                        - VN
                        - VG
                        - VI
                        - WF
                        - EH
                        - YE
                        - ZM
                        - ZW
                    state:
                      type: string
                      description: >-
                        The state considered for the billing address (MAX 255;
                        MIN 3).
                    zip_code:
                      type: string
                      description: >-
                        The zipcode considered for the billing address (MAX 10;
                        MIN 5).
                    neighborhood:
                      type: string
                      description: >-
                        The neighborhood of the address line of the customer(MAX
                        255; MIN 1).
                shipping_address:
                  type: object
                  description: Specifies the customer's shipping address object.
                  properties:
                    address_line_1:
                      type: string
                      description: >-
                        The primary shipping address line of the customer (MAX
                        255; MIN 3).
                    address_line_2:
                      type: string
                      description: >-
                        The secondary shipping address line of the customer (MAX
                        255; MIN 3).
                    city:
                      type: string
                      description: >-
                        The city considered for the shipping address (MAX 255;
                        MIN 3).
                    country:
                      type: string
                      description: >-
                        The country considered for the shipping address (MAX 2;
                        MIN 2; [ISO 3166-1](country-reference)).
                      enum:
                        - AF
                        - AX
                        - AL
                        - DZ
                        - AS
                        - AD
                        - AO
                        - AI
                        - AQ
                        - AG
                        - AR
                        - AM
                        - AW
                        - AU
                        - AT
                        - AZ
                        - BS
                        - BH
                        - BD
                        - BB
                        - BY
                        - BE
                        - BZ
                        - BJ
                        - BM
                        - BT
                        - BO
                        - BQ
                        - BA
                        - BW
                        - BV
                        - BR
                        - IO
                        - BN
                        - BG
                        - BF
                        - BI
                        - CV
                        - KH
                        - CM
                        - CA
                        - KY
                        - CF
                        - TD
                        - CL
                        - CN
                        - CX
                        - CC
                        - CO
                        - KM
                        - CG
                        - CD
                        - CK
                        - CR
                        - CI
                        - HR
                        - CU
                        - CW
                        - CY
                        - CZ
                        - DK
                        - DJ
                        - DM
                        - DO
                        - EC
                        - EG
                        - SZ
                        - GQ
                        - ER
                        - EE
                        - ET
                        - FK
                        - FO
                        - FJ
                        - FI
                        - FR
                        - GF
                        - PF
                        - TF
                        - GA
                        - GM
                        - GE
                        - DE
                        - GH
                        - GI
                        - GR
                        - GL
                        - GD
                        - GP
                        - GU
                        - GT
                        - GG
                        - GN
                        - GW
                        - GY
                        - HT
                        - HM
                        - VA
                        - HN
                        - HK
                        - HU
                        - IS
                        - IN
                        - ID
                        - IR
                        - IQ
                        - IE
                        - IM
                        - IL
                        - IT
                        - JM
                        - JP
                        - JE
                        - JO
                        - KZ
                        - KE
                        - KI
                        - KR
                        - KW
                        - KG
                        - LA
                        - LV
                        - LB
                        - LS
                        - LR
                        - LY
                        - LI
                        - LT
                        - LU
                        - MO
                        - MK
                        - MG
                        - MW
                        - MY
                        - MV
                        - ML
                        - MT
                        - MH
                        - MQ
                        - MR
                        - MU
                        - YT
                        - MX
                        - FM
                        - MD
                        - MC
                        - MN
                        - ME
                        - MS
                        - MA
                        - MZ
                        - MM
                        - NA
                        - NR
                        - NP
                        - NL
                        - NC
                        - NZ
                        - NI
                        - NE
                        - NG
                        - NU
                        - NF
                        - MP
                        - 'NO'
                        - OM
                        - PK
                        - PW
                        - PS
                        - PA
                        - PG
                        - PY
                        - PE
                        - PH
                        - PN
                        - PL
                        - PT
                        - PR
                        - QA
                        - RE
                        - RO
                        - RU
                        - RW
                        - BL
                        - SH
                        - KN
                        - LC
                        - MF
                        - PM
                        - VC
                        - WS
                        - SM
                        - ST
                        - SA
                        - SN
                        - RS
                        - SC
                        - SL
                        - SG
                        - SX
                        - SK
                        - SI
                        - SB
                        - SO
                        - ZA
                        - GS
                        - SS
                        - ES
                        - LK
                        - SD
                        - SR
                        - SJ
                        - SE
                        - CH
                        - SY
                        - TW
                        - TJ
                        - TZ
                        - TH
                        - TL
                        - TG
                        - TK
                        - TO
                        - TT
                        - TN
                        - TR
                        - TM
                        - TC
                        - TV
                        - UG
                        - UA
                        - AE
                        - GB
                        - US
                        - UM
                        - UY
                        - UZ
                        - VU
                        - VE
                        - VN
                        - VG
                        - VI
                        - WF
                        - EH
                        - YE
                        - ZM
                        - ZW
                    state:
                      type: string
                      description: >-
                        The state considered for the shipping address (MAX 255;
                        MIN 3).
                    zip_code:
                      type: string
                      description: >-
                        The zipcode considered for the shipping address (MAX 10;
                        MIN 5).
                    neighborhood:
                      type: string
                      description: >-
                        The neighborhood of the address line of the customer(MAX
                        255; MIN 1).
                metadata:
                  type: array
                  description: >-
                    Specifies a list of metadata objects. You can add up to 50
                    metadata objects.
                  items:
                    properties:
                      key:
                        type: string
                        description: The metadata key (MAX 48).
                      value:
                        type: string
                        description: The metadata key value (MAX 512).
                    required:
                      - key
                      - value
                    type: object
            examples:
              update:
                value:
                  email: john.doe2@gmail.com
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                update:
                  value:
                    id: 94121f98-98f7-4d57-aa5f-228401d35b12
                    merchant_customer_id: '1744402154'
                    first_name: John
                    last_name: Doe
                    gender: F
                    date_of_birth: '1990-02-28'
                    email: john.doe2@gmail.com
                    nationality: CO
                    country: CO
                    document:
                      document_type: CC
                      document_number: '1010268952'
                    phone:
                      number: '3132450765'
                      country_code: '57'
                    billing_address:
                      address_line_1: 'Calle 34 # 56 - 78'
                      address_line_2: Apartamento 502, Torre I
                      country: CO
                      state: Cundinamarca
                      city: Bogotá
                      zip_code: '111111'
                      neighborhood: Test
                    shipping_address:
                      address_line_1: 'Calle 34 # 56 - 78'
                      address_line_2: Apartamento 502, Torre I
                      country: CO
                      state: Cundinamarca
                      city: Bogotá
                      zip_code: '111111'
                      neighborhood: Test
                    metadata:
                      - key: ID
                        value: '1234'
                    created_at: '2025-04-11T20:10:29.163144Z'
                    updated_at: '2025-04-11T20:10:29.163141Z'
                    merchant_customer_created_at: '2023-08-05T14:43:58.980718Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 94121f98-98f7-4d57-aa5f-228401d35b12
                  merchant_customer_id:
                    type: string
                    example: '1744402154'
                  first_name:
                    type: string
                    example: John
                  last_name:
                    type: string
                    example: Doe
                  gender:
                    type: string
                    example: F
                  date_of_birth:
                    type: string
                    example: '1990-02-28'
                  email:
                    type: string
                    example: john.doe2@gmail.com
                  nationality:
                    type: string
                    example: CO
                  country:
                    type: string
                    example: CO
                  document:
                    type: object
                    properties:
                      document_type:
                        type: string
                        example: CC
                      document_number:
                        type: string
                        example: '1010268952'
                  phone:
                    type: object
                    properties:
                      number:
                        type: string
                        example: '3132450765'
                      country_code:
                        type: string
                        example: '57'
                  billing_address:
                    type: object
                    properties:
                      address_line_1:
                        type: string
                        example: 'Calle 34 # 56 - 78'
                      address_line_2:
                        type: string
                        example: Apartamento 502, Torre I
                      country:
                        type: string
                        example: CO
                      state:
                        type: string
                        example: Cundinamarca
                      city:
                        type: string
                        example: Bogotá
                      zip_code:
                        type: string
                        example: '111111'
                      neighborhood:
                        type: string
                        example: Test
                  shipping_address:
                    type: object
                    properties:
                      address_line_1:
                        type: string
                        example: 'Calle 34 # 56 - 78'
                      address_line_2:
                        type: string
                        example: Apartamento 502, Torre I
                      country:
                        type: string
                        example: CO
                      state:
                        type: string
                        example: Cundinamarca
                      city:
                        type: string
                        example: Bogotá
                      zip_code:
                        type: string
                        example: '111111'
                      neighborhood:
                        type: string
                        example: Test
                  metadata:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          example: ID
                        value:
                          type: string
                          example: '1234'
                  created_at:
                    type: string
                    example: '2025-04-11T20:10:29.163144Z'
                  updated_at:
                    type: string
                    example: '2025-04-11T20:10:29.163141Z'
                  merchant_customer_created_at:
                    type: string
                    example: '2023-08-05T14:43:58.980718Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````